// This example script shows how to use the TERT() command
// It is assumed that two images of same size are opened, and that their window letters are 
// B and C. If not, open two images are used the accoring letters instead of B and C.

result("Starting script #2b \n")	// just a output text line

ShowImage(tert(C<0,0,1))			// Displays a new image, which is exactly 1 at any 
									// position where image C is positive, and 0 elsewhere

ShowImage(tert((100<C)&&(C<200),B,C)) // Displays a new image, which has the values of B at any 
									  // position where image C is between 100 and 200, and 
									  // the values of C elsewhere. && is the logical AND sign.