// TASK 05: 
//	Write and test a script which does the following:
// 1) Take the front most image and determine the dynamic range of its values (min & max)
// 2) Successively decrease a limit from max to min in 2% steps of the dynamic range, until
//    (at least) 30% of all image pixels have values below the limit.
// 3) Use this limit to calculate and output the mean value of the remaining 
//    (at maximum) 50% brightest pixels in an image.


image  MYIMAGE 
number MINVALUE, MAXVALUE, LIMIT, RANGE, COUNT, SIZEX, SIZEY, MEANVALUE, BRIGHTPIXEL

GetFrontImage(MYIMAGE)
GetSize(MYIMAGE,SIZEX,SIZEY)
MINVALUE = min(MYIMAGE)
MAXVALUE = max(MYIMAGE)
RANGE = MAXVALUE-MINVALUE

For (COUNT=2;COUNT<=100;COUNT+=2)
	{
	LIMIT = MAXVALUE - RANGE*COUNT/100
	BRIGHTPIXEL = sum(tert(MYIMAGE>=LIMIT,1,0))
	IF ( BRIGHTPIXEL >= 0.5 * SIZEX*SIZEY ) break
	}

MEANVALUE = sum(tert(MYIMAGE>=LIMIT,MYIMAGE,0)) / BRIGHTPIXEL

result(" LIMIT value:"+limit+"\n")
result(" MEAN  value:"+MEANVALUE+"\n")
showimage(tert(MYIMAGE>=LIMIT,MYIMAGE,0))