// TASK 07: 
// Write and test a script (using functions!) which does the following:
//	1)	Take the front most image.
//	2)	Place a random selection in it. 
//	3)	Ask the user to either flip the content horizontally or vertically.
//	4)  Within the flipped area, set a random selection to zero.
//	5)	Repeat 2 to 4 until the user wants to exit the loop. (Use some sort of dialog.)

void T_PlaceRandomSelection(image IMG)
	{
	// This function places a random selection anywhere within 
	// the current selection of the image
	number t,l,b,r
	number t2,l2,b2,r2
	GetSelection(IMG,t,l,b,r)
	t2 = t + (b-t)*Random()
	l2 = l + (r-l)*Random()
	b2 = b - (b-t)*Random()
	r2 = r - (r-l)*Random()
	SetSelection(IMG,t2,l2,b2,r2)
	}

void T_FlipHorizontal(image IMG)
	{
	// This function flips the selected area horizontally 
	// and sets a random ares within to zero
	FlipHorizontal(IMG[])
	T_PlaceRandomSelection(IMG)
	IMG[]=0
	ClearSelection(IMG)
	}

void T_FlipVertical(image IMG) 
	{
	// This function flips the selected area vertically 
	// and sets a random ares within to zero
	FlipVertical(IMG[])
	T_PlaceRandomSelection(IMG)
	IMG[]=0
	ClearSelection(IMG)
	}

image FRONT
GetFrontImage(FRONT)
FRONT = icol/iwidth+irow/iheight+abs(itheta/(pi()))
ClearSelection(FRONT)
While (OkCancelDialog("Another step?"))
	{
	T_PlaceRandomSelection(FRONT)
	IF (TwoButtonDialog("Flip the area","horizontally","vertically")) T_FlipHorizontal(FRONT)
	Else T_FlipVertical(FRONT)
	}